Package twisted :: Package scripts :: Module tapconvert :: Class LoaderCommon

[show private | hide private]
[frames | no frames]

## Class LoaderCommon

Known Subclasses:
  `LoaderSource`, `LoaderPython`, `LoaderXML`, `LoaderTap`

Simple logic for loading persisted data

Method Summary
| `__init__(self, filename, encrypted, passphrase)`
| `decode(self)`
| `decrypt(self)`
| ``load`(self)` Returns the application
| `read(self)`

Class Variable Summary
`string` | `loadmessage`

Method Details

### load(self)

Returns the application

Class Variable Details

### loadmessage

  Type:
    `string`
  Value:

        'Loading %s...'

Generated by Epydoc 1.1 on Sat Feb 15 21:18:08 2003 | http://epydoc.sf.net